Bug 236587 - kernel-xen constantly spews "ISR/X: Time went backwards" messages.
kernel-xen constantly spews "ISR/X: Time went backwards" messages.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-04-16 12:25 EDT by Gilboa Davara
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-19 08:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2007-04-16 12:25:26 EDT
Description of problem:
New installation of RHEL5 server.
Once the new kernel boots, the console gets filled with "ISR/XX: Time..."
messages. (Same goes for a serial console)
Might not be related, but the once firstboot finished
(registration/time/date/sound/etc), the machine hanged (still accessible via
SSH/serial console) and gdm refused to start.
The machine exhibit the same problem with FC5-xen kernel.

Version-Release number of selected component (if applicable):
$ rpm -qa | egrep 'kernel|xen|virt' | sort

How reproducible:

Machine configuration:
HP xw9300
2 x Opteron 275.
8 x 1GB  PC3200/ECC/REG.
1 x On-board LSI Logic Fusion-MPT SCSI controller.
2 x 72GB SCSI. (LVM or Software RAID0)
1 x nVidia Quadro FX 540.

- Gilboa
Comment 1 Gilboa Davara 2007-04-16 13:01:22 EDT
Seems to be related to http://bugzilla.xensource.com/bugzilla/show_bug.cgi?id=195

- Gilboa
Comment 2 Bryan Mason 2007-04-17 17:52:39 EDT
According to the RHEL 5 Release Notes:

Installing the Virtualization feature may cause a time went backwards warning on
HP systems with model numbers xw9300 and xw9400.

To work around this issue for xw9400 machines, configure the BIOS settings to
enable the HPET timer. Note that this option is not available on xw9300 machines.

HP will notify xw9300 and xw9400 users when a new BIOS image is available.

Comment 3 Stephen Tweedie 2007-04-18 06:45:24 EDT
This appears to be covered in the release notes.  Please feel free to reopen the
bug if there is any further action required.-
Comment 4 Gilboa Davara 2007-04-18 08:23:14 EDT
... My mistake.
Yet another victim of the known RTFM disease... 

- Gilboa
Comment 5 Gilboa Davara 2007-04-18 09:43:24 EDT
I flashed the BIOS to the latest available version, and NADA.
There's not HPET/"high precision (multimedia) timer" option in the BIOS and I
couldn't find anything about HPET in HP's manual/support information.

More-ever, a simple Google seems to suggest that the 9300 simply does not have
required BIOS support. [1]

However, the machine -does- boot OK with hpet=disable. (no ISR messages.)
Beyond turning off the HPET support have any adverse effect on Xen?

- Gilboa
[1] http://lists.xensource.com/archives/html/xen-devel/2006-10/msg00292.html
[2] http://bugzilla.xensource.com/bugzilla/show_bug.cgi?id=195
Comment 6 Gilboa Davara 2007-04-18 09:45:35 EDT
... And while re-reading your comment:
"Note that this option is not available on xw9300 machines."

/me smack myself on the head with a 2 y/o HP xw9300 machine.
Comment 7 Gilboa Davara 2007-05-13 08:10:02 EDT
FYI, (for the archive's sake), HP just issued a Xen/RHEL5 HOWTO for the
xw9300/xw9400 [1].
Kernel 2.6.18-8.1.3.el5xen + latest BIOS seem to work just fine.

- Gilboa


Note You need to log in before you can comment on or make changes to this bug.